Archive for Август, 2009

Как исключить из обновления yum определенные пакеты

RedHat/Fedora/CentOS

Заходим в /etc/yum.conf.

Прописываем параметр exclude= и в нем прописываем через запятую пакеты, например, для xmms строчка выглядит так:

exclude=xmms-a52dec,xmms-cdread,xmms-mad,xmms-devel,xmms-wma,xmms,xmms-lirc,xmms-alarm,xmms-coverviewer,xmmsctrl

CentOS 5 — YUM: «TypeError: unsubscriptable object»

При вводе команды  yum update  выходит ошибка:

File «/usr/lib/python2.4/site-packages/yum/sqlitesack.py», line 470, in _sql_pkgKey2po
pkg = self._packageByKey(repo, ob[‘pkgKey’])
File «/usr/lib/python2.4/site-packages/yum/sqlitesack.py», line 413, in _packageByKey
po = self.pc(repo, cur.fetchone())
File «/usr/lib/python2.4/site-packages/yum/sqlitesack.py», line 68, in __init__
self._read_db_obj(db_obj)
File «/usr/lib/python2.4/site-packages/yum/sqlitesack.py», line 94, in _read_db_obj
setattr(self, item, _share_data(db_obj[item]))
TypeError: unsubscriptable object

Исправляется вводом :

yum clean all